/*
 *    MakeObjects.cmd -- Create gnuplot WP Objects
 */
Call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
Call SysloadFuncs
Parse Source os env full_name

call setlocal
bindir   = FileSpec("path", full_name)
bindrive = FileSpec("drive", full_name)
binpath  = bindrive || bindir

rc = SysCreateObject('WPProgram', 'gnuplot 5.2.7a', '<WP_DESKTOP>', 'EXENAME='binpath'startgp.cmd;PROGTYPE=WINDOWABLEVIO;OBJECTID=<GNUPLOT_CMD>;ICONFILE='binpath'gnuplot.ico;PARAMETERS=%*;', 'U')

rc = SysCreateObject('WPProgram', 'gnuplot 5.2.7a documentation', '<WP_DESKTOP>', 'EXENAME=view.exe;PROGTYPE=PM;OBJECTID=<GNUPLOT_BOOK>;PARAMETERS='binpath'gnuplot.inf;', 'U')
